Bug 480350 - pkiconsole gives no error output when it has an ssl cipher negotiation
pkiconsole gives no error output when it has an ssl cipher negotiation
Status: CLOSED WONTFIX
Product: Dogtag Certificate System
Classification: Community
Component: Console (Show other bugs)
1.0
i686 Linux
medium Severity low
: ---
: ---
Assigned To: Andrew Wnuk
Chandrasekar Kannan
:
Depends On:
Blocks: 445047
  Show dependency treegraph
 
Reported: 2009-01-16 11:26 EST by David Stutzman
Modified: 2015-01-04 18:35 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-06 14:50:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Stutzman 2009-01-16 11:26:07 EST
Description of problem:
I was running pkiconsole https://possum.pki:9443/ca and was getting no output from command and no GUI showed up.

Version-Release number of selected component (if applicable):
pki-console-1.0.0-9.fc8
pki-console-ui-1.0.0-1.fc8
idm-console-framework-1.1.2-1.fc8

Additional info:
The problem ended up being that the NSS database that the console used needed to be EC enabled as the CA I was trying to administer had an EC SSL certificate.
I corrected the problem by doing the following:
[root@possum ~]# cd /root/.dogtag-idm-console/
[root@possum ~]# modutil -dbdir . -nocertdb -add certicom -libfile /usr/lib/libsbcpgse.so

Running the pkiconsole command after that, the login box came up and after supplying correct credentials, the console appeared.

Note You need to log in before you can comment on or make changes to this bug.